#include "Salamander.h"
#include "ButtonEvent.h"

namespace Salamander
{

defineUniqueId(ButtonEvent);
ButtonEvent::ButtonEvent(EventCode code) : 
	code_(code)
{
	
}

ButtonEvent::~ButtonEvent()
{

}

EventCode ButtonEvent::getCode() const
{
	return code_;
}

}